#ifndef _BFIELD_PROP_H_
#define _BFIELD_PROP_H_

/*
 *   ---- Delphes ----
 *     A Fast Simulator for general purpose LHC detector
 *       S. Ovyn ~~~~ severine.ovyn@uclouvain.be
 *
 *         Center for Particle Physics and Phenomenology (CP3)
 *           Universite Catholique de Louvain (UCL)
 *             Louvain-la-Neuve, Belgium
 *             */

#include <vector>
#include "TLorentzVector.h"

#include "interface/SmearUtil.h"
#include "Utilities/ExRootAnalysis/interface/BlockClasses.h"
#include "Utilities/ExRootAnalysis/interface/TSimpleArray.h"

using namespace std;

class TrackPropagation : public RESOLution{

 public:
  // Constructor
    TrackPropagation();
 
    void Propagation(const TRootGenParticle *Part,TLorentzVector &genMomentum);

    int MAXITERATION;
    int MINSEGLENGTH;
  
};
  
#endif


